Bug 194421 - [vt] output still messy and discontinuous.
Summary: [vt] output still messy and discontinuous.
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 10.0-STABLE
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords: vt
Depends on:
Blocks:
 
Reported: 2014-10-17 16:29 UTC by sasamotikomi
Modified: 2014-12-31 19:02 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sasamotikomi 2014-10-17 16:29:08 UTC
I tested (intel GMA 3150) 10.1-BETA 2/3 and 10.1-RC1/2 output still dirty and occurs in spurts and not so smooth compared with SYSCONS.
Comment 1 Ed Maste freebsd_committer 2014-10-17 17:00:31 UTC
Can you please quantify "dirty"?  Perhaps a video showing what you observe.  Also, please add details on the system.
Comment 2 Volodymyr Kostyrko 2014-10-27 17:40:27 UTC
Hi all. Can I chime in?

On distortions, I saw more then one time that cursor screen position is not updated when printing kernel messages. I haven't captured that yet but it's fairly reproducible.

1. After X starts restart it so another portion of vt/kms info would be printed to the console.
2. Switch to screen 0 and hit Ctrl-Alt-Del. The messages coming to console would start overwriting vt/kms info like the cursor was placed just before it.

I'm on 10-STABLE and my video is Radeon HD 7560D.
Comment 3 Ed Maste freebsd_committer 2014-10-27 20:02:04 UTC
> On distortions, I saw more then one time that cursor screen position is not updated when printing kernel messages. I haven't captured that yet but it's fairly reproducible.

I believe you're describing this issue, from the wiki: The text cursor may end up in the middle of kernel messages after loading a kernel video driver.

I'm not sure what the original submitter means though.
Comment 4 commit-hook freebsd_committer 2014-11-01 17:05:43 UTC
A commit references this bug:

Author: dumbbell
Date: Sat Nov  1 17:05:17 UTC 2014
New revision: 273932
URL: https://svnweb.freebsd.org/changeset/base/273932

Log:
  vt(4): Adjust the cursor position after changing the window size

  A new terminal_set_cursor() is added: it wraps the existing
  teken_set_cursor() function.

  In vtbuf_grow(), the cursor position is adjusted at the end of the
  function. In vt_change_font(), we call terminal_set_cursor() just after
  terminal_set_winsize_blank(), while the terminal is mute.

  This fixes a bug where, after loading a kernel video driver which
  increases the terminal window size, the cursor remains at its old
  position, in other words, in the middle of the display content.

  PR:		194421
  MFC after:	1 week

Changes:
  head/sys/dev/vt/vt_buf.c
  head/sys/dev/vt/vt_core.c
  head/sys/kern/subr_terminal.c
  head/sys/sys/terminal.h
Comment 5 Jean-Sébastien Pédron freebsd_committer 2014-11-01 17:11:27 UTC
I believe I fixed the issue reported by arcade@b1t.name. But I'm waiting for a more detailed description from sasamotikomi@gmail.com before closing this bug.
Comment 6 commit-hook freebsd_committer 2014-11-22 16:56:34 UTC
A commit references this bug:

Author: dumbbell
Date: Sat Nov 22 16:55:57 UTC 2014
New revision: 274860
URL: https://svnweb.freebsd.org/changeset/base/274860

Log:
  vt(4): Adjust the cursor position after changing the window size

  A new terminal_set_cursor() is added: it wraps the existing
  teken_set_cursor() function.

  In vtbuf_grow(), the cursor position is adjusted at the end of the
  function. In vt_change_font(), we call terminal_set_cursor() just after
  terminal_set_winsize_blank(), while the terminal is mute.

  This fixes a bug where, after loading a kernel video driver which
  increases the terminal window size, the cursor remains at its old
  position, in other words, in the middle of the display content.

  PR:		194421
  MFC of:		r273932

Changes:
_U  stable/10/
  stable/10/sys/dev/vt/vt_buf.c
  stable/10/sys/dev/vt/vt_core.c
  stable/10/sys/kern/subr_terminal.c
  stable/10/sys/sys/terminal.h
Comment 7 sasamotikomi 2014-12-12 01:15:15 UTC
(In reply to Jean-Sebastien Pedron from comment #5)
> I believe I fixed the issue reported by arcade@b1t.name. But I'm waiting for
> a more detailed description from sasamotikomi@gmail.com before closing this
> bug.

Yes, issue look like fixed for me.
Comment 8 Ed Maste freebsd_committer 2014-12-31 19:02:24 UTC
Submitter reports the issue looks to be fixed.